# Total Options Volume `GET` `https://api.unusualwhales.com/api/market/total-options-volume` Returns the total options volume and premium for all trade executions that happened on a given trading date. ---- This can be used to build a market options overview such as: ![Market State](https://i.imgur.com/IioJyq9.png) ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Default 1 Max 500 Min 1 | No | How many items to return. Default: 1. Max: 500. Min: 1. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `call_premium` | Market General Call Premium | The sum of the premium of all the call transactions that executed. | | `call_volume` | Market General Call Volume | The sum of the size of all the call transactions that executed. | | `date` | Market General Trading day | A trading date in ISO format. | | `put_premium` | Market General Put Premium | The sum of the premium of all the put transactions that executed. | | `put_volume` | Market General Put Volume | The sum of the size of all the put transactions that executed. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/market/total-options-volume" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/market/total-options-volume", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "call_premium": "7306144788.68", "call_volume": 22074116, "date": "2023-09-08", "put_premium": "8413594929.65", "put_volume": 19941285 } ] } ```